import request from '@/utils/request'

// 查询dtu设备备注列表
export function listRemark(query) {
  return request({
    url: '/assets/remark/list',
    method: 'get',
    params: query
  })
}

// 查询dtu设备备注详细
export function getRemark(id) {
  return request({
    url: '/assets/remark/' + id,
    method: 'get'
  })
}
// 查询dtu设备备注详细
export function getRemarkByImei(imei) {
  return request({
    url: '/assets/remark/getDtuByImei',
    method: 'get',
    params: imei
  })
}

// 新增dtu设备备注
export function addRemark(data) {
  return request({
    url: '/assets/remark',
    method: 'post',
    data: data
  })
}

// 修改dtu设备备注
export function updateRemark(data) {
  return request({
    url: '/assets/remark',
    method: 'put',
    data: data
  })
}

// 删除dtu设备备注
export function delRemark(id) {
  return request({
    url: '/assets/remark/' + id,
    method: 'delete'
  })
}
